JsDoc Reference - _global_

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Built-In Namespace _global_

Method Summary
Method Attributes | Method Name and Description
--- | ---
| CryptoProvider(sc, slot, slot) Crypto Provider for accessing a SmartCard-HSM
| EACCryptoProvider(sc, id) Crypto Provider for EAC-PKI
| PKCS1() Empty constructor
| PKCS10(req) Class supporting PKCS#10 certificate signing requests
| PKCS8() Empty constructor
| PKIXCommon() Common functions and constants

Method Detail
CryptoProvider(sc, slot, slot)
Crypto Provider for accessing a SmartCard-HSM
Defined in: CryptoProvider.js.

Parameters:
{SmartCardHSM} sc
  the associated SmartCard-HSM
{Number} slot
  the key domain slot. If undefined or -1 no key domain will be set
slot

EACCryptoProvider(sc, id)
Crypto Provider for EAC-PKI
Defined in: EACCryptoProvider.js.

Parameters:
{SmartCardHSM} sc
  the associated SmartCard-HSM
id

PKCS1()
Empty constructor
Defined in: PKCS1.js.

PKCS10(req)
Class supporting PKCS#10 certificate signing requests
Defined in: PKCS10.js.

Parameters:
{ASN1} req
  the certificate request

PKCS8()
Empty constructor
Defined in: PKCS8.js.

PKIXCommon()
Common functions and constants
Defined in: PKIXCommon.js.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)